1
import rhinoscriptsyntax as rs
import scriptcontext
import Rhino

if ACTIVE:

    for i in range(len(GEO)):

        scriptcontext.doc = ghdoc

        GEO_id = GEO[i]

        doc_object = rs.coercerhinoobject(GEO_id)

        attributes = doc_object.Attributes
        geometry = doc_object.Geometry

        scriptcontext.doc = Rhino.RhinoDoc.ActiveDoc

        rhino_obj = scriptcontext.doc.Objects.Add(geometry, attributes)

        rs.ObjectColor(rhino_obj, color[i])

        mat_id = rs.AddMaterialToObject(rhino_obj)
        rs.MaterialColor(mat_id, color[i])

“运行时错误(TypeErrorException):'Color' 对象不可订阅 Traceback:第 23 行,在脚本中”

我不知道为什么“ObjectColor”无法编写脚本,我已经将它与 python API 匹配了很多次。我没有看到我应该看到的东西吗?

4

0 回答 0